%exam_8_22
clear;
num1=[1,7,3];den1=[1,2,3];
dt=0.01;t=0:dt:12;
f1=sawtooth(0.4*pi*t,0.5);
subplot(1,2,1);
lsim(num1,den1,f1,t);
% sys=tf(num1,den1);
% lsim(sys,f1,t);
set(gca,'Fontsize',20);
ylabel('Amplitude','Fontsize',20);xlabel('Time','Fontsize',20);
title('连续LTI系统锯齿波响应','Fontsize',20);
num2=[3,-2.7,3.1];den2=[1,-1.2,0.8];
f2=randn(1,120);
subplot(1,2,2);
dlsim(num2,den2,f2);
set(gca,'Fontsize',20);
ylabel('Amplitude','Fontsize',20);xlabel('Time','Fontsize',20);
title('离散LTI系统高斯噪声响应','Fontsize',20);

